Subject: Re: Protocols, extensions, compatibility

From: William Chan (陈智昌) <[email-masked]>
Date: Sun, 1 Apr 2012 23:11:53 +0200

FWIW, Chromium has run live user experiments testing performance with
different per-host connection limits. Our current connection per host limit
(6) reflects what we believe to be the most performant.

On Sat, Mar 31, 2012 at 7:01 PM, Willy Tarreau <[email-masked]> wrote:

> On Sat, Mar 31, 2012 at 12:44:45PM -0400, Peter Lepeska wrote:
> > Watching this video, Patrick McManus makes a great point about increasing
> > connections increases the likelihood that SYNs and SYN-ACKs will get
> > dropped. That's a very convincing argument for me AGAINST my suggestion
> to
> > simply increase the per host limit.
> >
> > Thanks for sending the link,
>
> I agree with him on this too, and for having run tests with very large
> per-host limits one year ago, I can say that these losses *do* happen.
> What's worse is that they generally don't happen below a certain limit,
> and that they happen by batches when you go beyond that limit. Of course,
> this limit depends on the network between the two TCP endpoints and its
> load and there is no real way to guess it.
>
> Willy
>
>
>